=== debian/changelog ===
thumbor (7.7.7-5) unstable; urgency=medium

  [ Alexandre Detiste ]
  * replace dependency on transitional python3-tz with new python3-pytz
  * use dh-sequence-python3
  * drop "Rules-Requires-Root: no": it is the default now
  * bump Standards-Version to 4.7.2
  * rewrite d/watch in v5 format

  [ Marcelo Jorge Vieira ]
  * Maintain compatibility with multiple Pillow versions in ImageCms
    (Closes: #1125082)

  [ Colin Watson ]
  * Remove run-time dependency on setuptools (closes: #1125840).
  * Build-depend on python3-all-dev, fixing builds when there are multiple
    supported Python versions.

 -- Marcelo Jorge Vieira <metal@debian.org>  Mon, 09 Feb 2026 13:24:18 -0300

thumbor (7.7.7-4) unstable; urgency=medium

  * Fix watermark tests by copying full fixtures directory to build dir

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 28 Jun 2025 19:19:05 -0300

thumbor (7.7.7-3) unstable; urgency=medium

  [ Marcelo Jorge Vieira ]
  * Remove leftover files on purge: /etc/thumbor.key and /var/cache/thumbor
  * Fix watermark test by adding thumbor/fixtures to build directory

  [ Alexandre Detiste ]
  * remove dependency on old python3-mock

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 28 Jun 2025 14:53:31 -0300

thumbor (7.7.7-2) unstable; urgency=medium

  * debian/copyright: Remove CC-BY-SA-2.0 license

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 15 May 2025 18:21:01 -0300

thumbor (7.7.7-1) unstable; urgency=medium

  [ Pablo Santiago Blum de Aguiar ]
  * Reformat rules breaking PYBUILD_AFTER_INSTALL commands
  * Remove thumbor/fixtures

  [ Marcelo Jorge Vieira ]
  * New upstream version 7.7.7 (Closes: #955492)
  * Add python3-py3exiv2 as build-dependency
  * Replace 'python3-crypto' with 'python3-cryptography'
  * Add python3-piexif as dependency
  * Refresh patches
  * Drop support for JpegIPTC due to upstream maintenance issue
  * Fix tests
  * Review debian/copyright
  * Add manpage for thumbor-doctor
  * Add python3-pytest-asyncio as build dependency

 -- Marcelo Jorge Vieira <metal@debian.org>  Thu, 15 May 2025 15:45:55 -0300

thumbor (6.7.1~git20210216.f5e64a2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Pablo Santiago Blum de Aguiar ]
  * New upstream version 6.7.1~git20210216.f5e64a2

 -- Pablo Santiago Blum de Aguiar <scorphus@gmail.com>  Tue, 16 Feb 2021 23:15:18 +0100
