=== debian/control ===
Source: thumbor
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Gilles Dubuc <gilles@wikimedia.org>,
           Marcelo Jorge Vieira <metal@debian.org>,
           Pablo Santiago Blum de Aguiar <scorphus@gmail.com>
Section: python
Priority: optional
Standards-Version: 4.7.2
Build-Depends: debhelper-compat (= 12),
               dh-sequence-python3,
               ffmpeg,
               gifsicle,
               libimage-exiftool-perl,
               libjpeg-turbo-progs,
               python3-all-dev,
               python3-cairosvg,
               python3-celery,
               python3-colorama,
               python3-cryptography,
               python3-derpconf (>= 0.2.0),
               python3-libthumbor,
               python3-numpy,
               python3-opencv,
               python3-piexif,
               python3-pil (>= 3.0.0),
               python3-preggy (>= 1.3.0),
               python3-py3exiv2,
               python3-pycryptodome (>= 3.4.7),
               python3-pycurl,
               python3-pyssim,
               python3-pytest,
               python3-pytest-asyncio,
               python3-pytz,
               python3-redis (>= 2.4.9),
               python3-schedule,
               python3-setuptools,
               python3-statsd (>= 3.0.1),
               python3-tornado (>= 4.1.0),
               python3-webcolors,
               redis-server
Homepage: https://github.com/thumbor/thumbor
Vcs-Git: https://salsa.debian.org/python-team/packages/thumbor.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/thumbor

Package: thumbor
Architecture: any
Depends: python3-cairosvg,
         python3-cryptography,
         python3-derpconf (>= 0.2.0),
         python3-libthumbor,
         python3-piexif,
         python3-pil (>= 3.0.0),
         python3-pycryptodome (>= 3.4.7),
         python3-pytz,
         python3-schedule,
         python3-statsd (>= 3.0.1),
         python3-tornado (>= 4.1.0),
         python3-webcolors,
         ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: Photo thumbnail service
 Thumbor is a smart imaging service. It enables on-demand crop, resizing
 and flipping of images.
