## thumbor arcface-0.1

=== requirements.txt ===
thumbor>=6.0.0
