## thumbor arcface-0.1.5

=== requirements.txt ===
thumbor>=7.*
